hackrf_bool_user_settting Struct Reference

Helper struct for hackrf_bias_t_user_setting. More...

`#include <hackrf.h>`

## Data Fields

bool | do_update
bool | change_on_mode_entry
bool | enabled

## Detailed Description

If 'do_update' is true, then the values of 'change_on_mode_entry' and 'enabled' will be used as the new default. If 'do_update' is false, the current default will not change.

## Field Documentation

## change_on_mode_entry

bool hackrf_bool_user_settting::change_on_mode_entry

## do_update

bool hackrf_bool_user_settting::do_update

## enabled

bool hackrf_bool_user_settting::enabled

The documentation for this struct was generated from the following file:

- /tmp/host/libhackrf/src/hackrf.h